<?php

require 'buscareanxml.php';




echo "<h3> notas encontradas nos xmls </h3>";

// Exemplo de uso
$caminhoDaPasta = '../xml/arquivos/xml/20861429000180/2023/12';

$ean = '7898132987701'; // Substitua pelo EAN desejado

$dadosEncontrados = buscarDadosPorEAN($caminhoDaPasta, $ean);

// Exibe os resultados
foreach ($dadosEncontrados as $dados) {
    
	echo "Chave: {$dados['chave']}, 
	<br>  Data de Emissão: {$dados['dataEmissao']},
	<br>  Nome do Produto: {$dados['nomeProduto']},
	<br> Código do Item: {$dados['codigoItem']},
	<br>  Quantidade: {$dados['quantidade']}\n <hr>";
}
